## node-lru-cache 10.0.1

=== benchmark/Makefile ===
all: package.json index.js worker.js
	rm -rf results.txt results
	npm run benchmark | tee results.md

impls.txt: fetch-impls.sh
	bash fetch-impls.sh

profile: worker.js
	bash profile.sh

package.json: make-deps.sh impls.txt
	bash make-deps.sh

## node-lru-cache 1.0.5

=== debian/changelog ===
node-lru-cache (1.0.5-1) unstable; urgency=low

  * Initial release (Closes: #664149)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 17 Mar 2012 23:30:55 +0100

=== debian/control ===
Source: node-lru-cache
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8.0.0)
 , dh-buildinfo
Standards-Version: 3.9.3
Homepage: https://github.com/isaacs/node-lru-cache
Vcs-Git: git://git.debian.org/collab-maint/node-lru-cache.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-lru-cache.git;a=summary

Package: node-lru-cache
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Javascript least-recently-used cache object - NodeJS
 A cache object that deletes the least-recently-used items.
 This is the nodejs module.

Package: libjs-lru-cache
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: Javascript least-recently-used cache object
 A cache object that deletes the least-recently-used items.
 This is the libjs module.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/.*v(.*)/http\:\/\/registry\.npmjs\.org\/lru\-cache\/-\/lru\-cache\-$1\.tgz/,\
filenamemangle=s/.*v(.*)$/lru\-cache-$1\.tar\.gz/ \
https://github.com/isaacs/node-lru-cache/tags .*/tarball/v([\d.-]+)

## node-lru-cache 2.3.0

=== debian/changelog ===
node-lru-cache (2.3.0-1) experimental; urgency=low

  * Upstream update.
  * Copyright: Upstream-Name is lru-cache.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Apr 2013 16:34:31 +0200

node-lru-cache (2.2.2-1) experimental; urgency=low

  * Upstream update.
  * Use github url in watch file.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 22 Mar 2013 01:34:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,18 @@
 Standards-Version: 3.9.3
 Homepage: https://github.com/isaacs/node-lru-cache
 Vcs-Git: git://git.debian.org/collab-maint/node-lru-cache.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-lru-cache.git;a=summary
+Vcs-Browser: http://git.debian.org/?p=collab-maint/node-lru-cache.git
 
 Package: node-lru-cache
 Architecture: all
 Depends:
  ${misc:Depends}
  , nodejs
-Description: Javascript least-recently-used cache object - NodeJS
+Description: least-recently-used cache object for Node.js
  A cache object that deletes the least-recently-used items.
- This is the nodejs module.
+ This is the Node.js module.
+ .
+ Node.js is an event-based server-side javascript engine.
 
 Package: libjs-lru-cache
 Architecture: all

## node-lru-cache 2.3.1

=== debian/changelog ===
node-lru-cache (2.3.1-1) unstable; urgency=low

  * Upstream update.
  * control:
    + Standards-Version 3.9.4
    + Canonicalize Vcs fields
  * copyright: add Upstream-Contact and Source fields. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Aug 2013 00:44:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper (>= 8.0.0)
  , dh-buildinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/isaacs/node-lru-cache
-Vcs-Git: git://git.debian.org/collab-maint/node-lru-cache.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-lru-cache.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/node-lru-cache.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-lru-cache.git
 
 Package: node-lru-cache
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-lru-cache-$1.tar.gz/ \
https://github.com/isaacs/node-lru-cache/tags .*/archive/v?([\d\.]+).tar.gz

## node-lru-cache 4.0.2

=== debian/changelog ===
node-lru-cache (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * Unapply patch, applied upstream

 -- Jérémy Lal <kapouer@melix.org>  Mon, 28 Nov 2016 01:04:02 +0100

node-lru-cache (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1 (Closes: #845605)
  * dh9
  * Standards-Version 3.9.8
  * Secure Vcs url
  * Depends node-yallist, node-pseudomap
  * Remove libjs-lru-cache - no reverse dependencies
  * License is now ISC
  * Enable tap tests
  * Patch for no-symbol test, forwarded

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Nov 2016 11:13:29 +0100

node-lru-cache (2.3.1-1) unstable; urgency=medium

  * Upstream update.
  * control:
    + Standards-Version 3.9.4
    + Canonicalize Vcs fields
  * copyright: add Upstream-Contact and Source fields. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Aug 2013 00:44:50 +0200

=== debian/control ===
Source: node-lru-cache
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
Standards-Version: 3.9.8
Homepage: https://github.com/isaacs/node-lru-cache
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-lru-cache.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-lru-cache.git
Testsuite: autopkgtest

Package: node-lru-cache
Architecture: all
Depends:
 ${misc:Depends}
 , node-yallist
 , node-pseudomap
 , nodejs
Description: least-recently-used cache object for Node.js
 A cache object that deletes the least-recently-used items.
 This is the Node.js module.
 .
 Node.js is an event-based server-side javascript engine.

## node-lru-cache 4.1.1

=== debian/changelog ===
node-lru-cache (4.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix debian/install to install correct files
  * Change priority from extra to optional
  * Change section to javascript from web
  * Bump standards version to 4.1.1
  * Enable tests during build time

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Nov 2017 15:46:57 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: node-lru-cache
-Section: web
-Priority: extra
+Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper (>= 9)
  , dh-buildinfo
-Standards-Version: 3.9.8
+ , node-yallist
+ , node-pseudomap
+ , nodejs
+ , node-tap
+Standards-Version: 4.1.1
 Homepage: https://github.com/isaacs/node-lru-cache
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-lru-cache.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-lru-cache.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	tap -R spec test/*.js

## node-lru-cache 5.1.1

=== debian/changelog ===
node-lru-cache (5.1.1-5) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]
  * Various longer timeouts (Closes: #921797)

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 15:43:19 +0200

node-lru-cache (5.1.1-4) unstable; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Switch tests to pkg-js-tools
  * Increase tests timeouts (Closes: #921797)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Feb 2019 06:42:08 +0100

node-lru-cache (5.1.1-3) unstable; urgency=medium

  [ Xavier Guimard ]
  * Increase another timeout

 -- Jérémy Lal <kapouer@melix.org>  Thu, 10 Jan 2019 12:18:11 +0100

node-lru-cache (5.1.1-2) unstable; urgency=medium

  * Fix environment dependent test

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 15:55:00 +0100

node-lru-cache (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1
  * Drop pseudomap from deps
  * Standards-Version: 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 11:44:59 +0100

node-lru-cache (4.1.1-2) unstable; urgency=medium

  [ Pirate Praveen ]
  * Team upload
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Use salsa.debian.org in Vcs-* fields
  * Enable nocheck build profile

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 11:43:33 +0100

=== debian/control ===
Source: node-lru-cache
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 12)
 , nodejs
 , node-yallist <!nocheck>
 , node-tap <!nocheck>
 , pkg-js-tools (>= 0.8.8)
Standards-Version: 4.4.0
Homepage: https://github.com/isaacs/node-lru-cache
Vcs-Git: https://salsa.debian.org/js-team/node-lru-cache.git
Vcs-Browser: https://salsa.debian.org/js-team/node-lru-cache

Package: node-lru-cache
Architecture: all
Depends:
 ${misc:Depends}
 , node-yallist
 , nodejs
Description: least-recently-used cache object for Node.js
 A cache object that deletes the least-recently-used items.
 This is the Node.js module.
 .
 Node.js is an event-based server-side javascript engine.

## node-lru-cache 6.0.0%2B~5.1.1

=== debian/changelog ===
node-lru-cache (6.0.0+~5.1.1-1) unstable; urgency=medium

  * Team upload
  * Drop dependency to nodejs
  * Embed typescript definitions
  * New upstream version 6.0.0+~5.1.1

 -- Yadd <yadd@debian.org>  Tue, 23 Nov 2021 15:38:54 +0100

node-lru-cache (5.1.1-8) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Add "Rules-Requires-Root: no"
  * Modernize debian/watch
  * Fix filenamemangle
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs instead of pkg-js-tools

 -- Yadd <yadd@debian.org>  Tue, 02 Nov 2021 15:46:02 +0100

node-lru-cache (5.1.1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Sep 2021 16:10:04 +0100

node-lru-cache (5.1.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Aug 2021 00:35:50 +0100

## node-lru-cache 6.0.0+~5.1.1

=== debian/control ===
Source: node-lru-cache
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-tap <!nocheck>
 , node-yallist <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-lru-cache
Vcs-Git: https://salsa.debian.org/js-team/node-lru-cache.git
Homepage: https://github.com/isaacs/node-lru-cache
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-lru-cache
Architecture: all
Depends: ${misc:Depends}
 , node-yallist
Provides: ${nodejs:Provides}
Description: least-recently-used cache object for Node.js
 A cache object that deletes the least-recently-used items.
 This is the Node.js module.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-lru-cache-$1/ \
https://github.com/isaacs/node-lru-cache/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-lru-cache,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-lru-cache-$1/" \
 https://registry.npmjs.org/@types/lru-cache https://registry.npmjs.org/@types/lru-cache/-/lru-cache-([\d\.]+)@ARCHIVE_EXT@ group

## node-lru-cache 7.7.3+~7.6.1

=== debian/changelog ===
node-lru-cache (7.7.3+~7.6.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop test: tap 15 not available

 -- Yadd <yadd@debian.org>  Tue, 10 May 2022 08:42:26 +0200

node-lru-cache (7.7.3+~7.6.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 07:38:43 +0200

node-lru-cache (7.7.3+~7.6.1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.7.3+~7.6.1
  * Embed clock-mock for test only

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 08:41:28 +0200

node-lru-cache (7.4.4+~7.4.0-3) experimental; urgency=medium

  * Team upload
  * Indicate that version 7 breaks node-cacache < 16~

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 08:25:37 +0200

node-lru-cache (7.4.4+~7.4.0-2) experimental; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 06:05:06 +0200

node-lru-cache (7.4.4+~7.4.0-1) experimental; urgency=medium

  * Team upload
  * Drop patch and require node-tap >= 15
  * New upstream version 7.4.4+~7.4.0

 -- Yadd <yadd@debian.org>  Fri, 11 Mar 2022 15:12:28 +0100

node-lru-cache (7.4.0+~7.4.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.4.0+~7.4.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 03 Mar 2022 21:11:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
- , node-tap <!nocheck>
  , node-yallist <!nocheck>
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-lru-cache
@@ -19,6 +18,7 @@
 Depends: ${misc:Depends}
  , node-yallist
 Provides: ${nodejs:Provides}
+Breaks: node-cacache (<< 16)
 Description: least-recently-used cache object for Node.js
  A cache object that deletes the least-recently-used items.
  This is the Node.js module.

## node-lru-cache 7.14.0

=== debian/changelog ===
node-lru-cache (7.14.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.14.0

 -- Yadd <yadd@debian.org>  Wed, 17 Aug 2022 07:10:56 +0200

node-lru-cache (7.13.2-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 08 Aug 2022 21:53:17 +0200

node-lru-cache (7.13.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.13.2
  * Update test module

 -- Yadd <yadd@debian.org>  Mon, 08 Aug 2022 21:11:25 +0200

node-lru-cache (7.13.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.13.1

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 14:15:02 +0200

node-lru-cache (7.12.0-1) unstable; urgency=medium

  * Team upload
  * Remove unused license definitions for Expat.
  * New upstream version 7.12.0
  * Update copyright

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 09:31:42 +0200

node-lru-cache (7.10.2-1) unstable; urgency=medium

  * Team upload
  * Drop @types/lru-cache component
  * New upstream version 7.10.2

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 11:08:56 +0200

node-lru-cache (7.10.1+~7.6.1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 7.10.1+~7.6.1
  * Add test dependency to ts-node
  * Update test

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 16:05:44 +0200

## node-lru-cache 7.14.1

=== debian/changelog ===
node-lru-cache (7.14.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.14.1

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 11:06:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
+ , node-tap (>= 15) <!nocheck>
  , node-yallist <!nocheck>
-Standards-Version: 4.6.0
+ , ts-node <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-lru-cache
 Vcs-Git: https://salsa.debian.org/js-team/node-lru-cache.git
 Homepage: https://github.com/isaacs/node-lru-cache

## node-lru-cache 10.0.1

=== debian/changelog ===
node-lru-cache (10.0.1-3) unstable; urgency=medium

  * Team upload
  * Do not export default

 -- Bastien Roucariès <rouca@debian.org>  Thu, 01 Aug 2024 08:11:33 +0000

node-lru-cache (10.0.1-2) unstable; urgency=medium

  * Team upload
  * Compat fixes for debian archive
    + Export default for fixing build failure
    + Readd reset() method fixing ejs
  * Backport fixes from upstream:
    + values() now return a Map avoiding undefined error in tsc
    + Better export of cjs module

 -- Bastien Roucariès <rouca@debian.org>  Sun, 28 Jul 2024 14:30:32 +0000

node-lru-cache (10.0.1-1) experimental; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 10.0.1
  * Drop dependency to node-yallist
  * Add build dependencies to node-esbuild and node-typescript
  * Build with typescript

 -- Yadd <yadd@debian.org>  Sun, 28 Jul 2024 12:26:53 +0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
+ , node-esbuild
  , node-tap (>= 15) <!nocheck>
- , node-yallist <!nocheck>
+ , node-typescript
  , ts-node <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-lru-cache
 Vcs-Git: https://salsa.debian.org/js-team/node-lru-cache.git
 Homepage: https://github.com/isaacs/node-lru-cache
@@ -18,9 +19,12 @@
 Package: node-lru-cache
 Architecture: all
 Depends: ${misc:Depends}
- , node-yallist
 Provides: ${nodejs:Provides}
-Breaks: node-cacache (<< 16)
+Multi-Arch: foreign
+Breaks: node-cacache (<< 16),
+ node-babel7 (<< 7.20.15+ds1+~cs214.269.168-7~),
+ node-babel7-runtime (<< 7.20.15+ds1+~cs214.269.168-7~),
+ node-ejs (<< 3.1.10+~3.1.5-2~)
 Description: least-recently-used cache object for Node.js
  A cache object that deletes the least-recently-used items.
  This is the Node.js module.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,7 @@
 %:
 	dh $@
 
-override_dh_auto_test:
-	tap -R spec test/*.js
+override_dh_auto_build:
+	tsc -p tsconfig.json
+	tsc -p tsconfig-esm.json
+	sh fixup.sh

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-lru-cache-$1/ \
https://github.com/isaacs/node-lru-cache/tags .*/archive/.*/v?([\d\.]+).tar.gz
